# H245_DialingInformationNetworkType Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_nonStandard, e_n_isdn, e_gstn, e_mobile }

## Public Member Functions

| H245_DialingInformationNetworkType (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_NonStandardMessage & ()
| operator const H245_NonStandardMessage & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_DialingInformationNetworkType::Choices

Enumerator:

  e_nonStandard |
  e_n_isdn |
  e_gstn |
  e_mobile |

## Constructor & Destructor Documentation

H245_DialingInformationNetworkType::H245_DialingInformationNetworkType | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_DialingInformationNetworkType::operator H245_NonStandardMessage & | ( |  | ) |

H245_DialingInformationNetworkType::operator const H245_NonStandardMessage & | ( |  | ) | const

PBoolean H245_DialingInformationNetworkType::CreateObject | ( |  | ) |

PObject* H245_DialingInformationNetworkType::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h